# Module: `src\models.py`

Auto-generated from source. 22 struct(s) defined in this module.

## `src\models.py::BiasProfile`

**Kind:** `dataclass`
**Defined at:** line 667

**Fields:**
- `name: str`
- `tool_weights: Dict[str, int]`
- `category_multipliers: Dict[str, float]`


## `src\models.py::ContextFileEntry`

**Kind:** `dataclass`
**Defined at:** line 878

**Fields:**
- `path: str`
- `view_mode: str`
- `custom_slices: list`
- `ast_mask: dict`
- `ast_signatures: bool`
- `ast_definitions: bool`


## `src\models.py::ContextPreset`

**Kind:** `dataclass`
**Defined at:** line 932

**Fields:**
- `name: str`
- `files: list[ContextFileEntry]`
- `screenshots: list[str]`
- `description: str`


## `src\models.py::ExternalEditorConfig`

**Kind:** `dataclass`
**Defined at:** line 723

**Fields:**
- `editors: Dict[str, TextEditorConfig]`
- `default_editor: Optional[str]`


## `src\models.py::FileItem`

**Kind:** `dataclass`
**Defined at:** line 533

**Fields:**
- `path: str`
- `auto_aggregate: bool`
- `force_full: bool`
- `view_mode: str`
- `selected: bool`
- `ast_signatures: bool`
- `ast_definitions: bool`
- `ast_mask: dict[str, str]`
- `custom_slices: list[dict]`
- `injected_at: Optional[float]`


## `src\models.py::MCPConfiguration`

**Kind:** `dataclass`
**Defined at:** line 997

**Fields:**
- `mcpServers: Dict[str, MCPServerConfig]`


## `src\models.py::MCPServerConfig`

**Kind:** `dataclass`
**Defined at:** line 964

**Fields:**
- `name: str`
- `command: Optional[str]`
- `args: List[str]`
- `url: Optional[str]`
- `auto_start: bool`


## `src\models.py::Metadata`

**Kind:** `dataclass`
**Defined at:** line 434

**Fields:**
- `id: str`
- `name: str`
- `status: Optional[str]`
- `created_at: Optional[datetime.datetime]`
- `updated_at: Optional[datetime.datetime]`


## `src\models.py::NamedViewPreset`

**Kind:** `dataclass`
**Defined at:** line 907

**Fields:**
- `name: str`
- `view_mode: str`
- `ast_mask: dict`
- `custom_slices: list`


## `src\models.py::Persona`

**Kind:** `dataclass`
**Defined at:** line 760

**Fields:**
- `name: str`
- `preferred_models: list[Metadata]`
- `system_prompt: str`
- `tool_preset: Optional[str]`
- `bias_profile: Optional[str]`
- `context_preset: Optional[str]`
- `aggregation_strategy: Optional[str]`


## `src\models.py::Preset`

**Kind:** `dataclass`
**Defined at:** line 592

**Fields:**
- `name: str`
- `system_prompt: str`


## `src\models.py::RAGConfig`

**Kind:** `dataclass`
**Defined at:** line 1052

**Fields:**
- `enabled: bool`
- `vector_store: VectorStoreConfig`
- `embedding_provider: str`
- `chunk_size: int`
- `chunk_overlap: int`


## `src\models.py::TextEditorConfig`

**Kind:** `dataclass`
**Defined at:** line 696

**Fields:**
- `name: str`
- `path: str`
- `diff_args: List[str]`


## `src\models.py::ThinkingSegment`

**Kind:** `dataclass`
**Defined at:** line 284

**Fields:**
- `content: str`
- `marker: str`


## `src\models.py::Ticket`

**Kind:** `dataclass`
**Defined at:** line 302

**Fields:**
- `id: str`
- `description: str`
- `target_symbols: List[str]`
- `context_requirements: List[str]`
- `depends_on: List[str]`
- `status: str`
- `assigned_to: str`
- `priority: str`
- `target_file: Optional[str]`
- `blocked_reason: Optional[str]`
- `step_mode: bool`
- `retry_count: int`
- `manual_block: bool`
- `model_override: Optional[str]`
- `persona_id: Optional[str]`


## `src\models.py::Tool`

**Kind:** `dataclass`
**Defined at:** line 612

**Fields:**
- `name: str`
- `approval: str`
- `weight: int`
- `parameter_bias: Dict[str, str]`


## `src\models.py::ToolPreset`

**Kind:** `dataclass`
**Defined at:** line 642

**Fields:**
- `name: str`
- `categories: Dict[str, List[Union[Tool, Any]]]`


## `src\models.py::Track`

**Kind:** `dataclass`
**Defined at:** line 401

**Fields:**
- `id: str`
- `description: str`
- `tickets: List[Ticket]`


## `src\models.py::TrackState`

**Kind:** `dataclass`
**Defined at:** line 481

**Fields:**
- `metadata: Metadata`
- `discussion: List[str]`
- `tasks: List[Ticket]`


## `src\models.py::VectorStoreConfig`

**Kind:** `dataclass`
**Defined at:** line 1016

**Fields:**
- `provider: str`
- `url: Optional[str]`
- `api_key: Optional[str]`
- `collection_name: str`
- `mcp_server: Optional[str]`
- `mcp_tool: Optional[str]`


## `src\models.py::WorkerContext`

**Kind:** `dataclass`
**Defined at:** line 426

**Fields:**
- `ticket_id: str`
- `model_name: str`
- `messages: list[Metadata]`
- `tool_preset: Optional[str]`
- `persona_id: Optional[str]`


## `src\models.py::WorkspaceProfile`

**Kind:** `dataclass`
**Defined at:** line 849

**Fields:**
- `name: str`
- `ini_content: str`
- `show_windows: Dict[str, bool]`
- `panel_states: Metadata`

